Skip to content
Start here

Update zone snippet rules

snippets.rules.update(RuleUpdateParams**kwargs) -> object
PUT/zones/{zone_id}/snippets/snippet_rules

Updates all snippet rules belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
ParametersExpand Collapse
zone_id: str

Use this field to specify the unique ID of the zone.

rules: Iterable[Rule]

Lists snippet rules.

id: str

Specify the unique ID of the rule.

expression: str

Define the expression that determines which traffic matches the rule.

minLength1
last_updated: Union[str, datetime]

Specify the timestamp of when the rule was last modified.

formatdate-time
snippet_name: str

Identify the snippet.

description: Optional[str]

Provide an informative description of the rule.

enabled: Optional[bool]

Indicate whether to execute the rule.

ReturnsExpand Collapse
object

Update zone snippet rules

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
rule = client.snippets.rules.update(
    zone_id="9f1839b6152d298aca64c4e906b6d074",
    rules=[{
        "expression": "ip.src eq 1.1.1.1",
        "snippet_name": "my_snippet",
    }],
)
print(rule)
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}